TlsRSASigner (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.tls

## Class TlsRSASigner

- java.lang.Object
- - org.bouncycastle.crypto.tls.AbstractTlsSigner
  - - org.bouncycastle.crypto.tls.TlsRSASigner

- All Implemented Interfaces:
    TlsSigner

      public class TlsRSASigner
      extends AbstractTlsSigner

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.crypto.tls.AbstractTlsSigner

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TlsRSASigner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AsymmetricBlockCipher` | `createRSAImpl()`
    `Signer` | `createSigner(SignatureAndHashAlgorithm algorithm, AsymmetricKeyParameter privateKey)`
    `Signer` | `createVerifyer(SignatureAndHashAlgorithm algorithm, AsymmetricKeyParameter publicKey)`
    `byte[]` | `generateRawSignature(SignatureAndHashAlgorithm algorithm, AsymmetricKeyParameter privateKey, byte[] hash)`
    `boolean` | `isValidPublicKey(AsymmetricKeyParameter publicKey)`
    `protected Signer` | `makeSigner(SignatureAndHashAlgorithm algorithm, boolean raw, boolean forSigning, CipherParameters cp)`
    `boolean` | `verifyRawSignature(SignatureAndHashAlgorithm algorithm, byte[] sigBytes, AsymmetricKeyParameter publicKey, byte[] hash)`

    - ### Methods inherited from class org.bouncycastle.crypto.tls.AbstractTlsSigner

      `createSigner, createVerifyer, generateRawSignature, init, verifyRawSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TlsRSASigner

          public TlsRSASigner()

  - ### Method Detail

    - #### generateRawSignature

          public byte[] generateRawSignature(SignatureAndHashAlgorithm algorithm,
                                    AsymmetricKeyParameter privateKey,
                                    byte[] hash)
                                      throws CryptoException

      Throws:
        `CryptoException`

    - #### verifyRawSignature

          public boolean verifyRawSignature(SignatureAndHashAlgorithm algorithm,
                                   byte[] sigBytes,
                                   AsymmetricKeyParameter publicKey,
                                   byte[] hash)
                                     throws CryptoException

      Throws:
        `CryptoException`

    - #### createSigner

          public Signer createSigner(SignatureAndHashAlgorithm algorithm,
                            AsymmetricKeyParameter privateKey)

    - #### createVerifyer

          public Signer createVerifyer(SignatureAndHashAlgorithm algorithm,
                              AsymmetricKeyParameter publicKey)

    - #### isValidPublicKey

          public boolean isValidPublicKey(AsymmetricKeyParameter publicKey)

    - #### makeSigner

          protected Signer makeSigner(SignatureAndHashAlgorithm algorithm,
                          boolean raw,
                          boolean forSigning,
                          CipherParameters cp)

    - #### createRSAImpl

          protected AsymmetricBlockCipher createRSAImpl()